<?php
session_start();
require("../../database/dbConection.php");
$idUsuarioLogado    = $_SESSION['idUsuarioLogado'];
$nomeUsuarioLogado  = $_SESSION['nomeUsuarioLogado'];
$dataHoje           = date("d/m/Y");


$converteSexoPaciente = array(
	'A'    =>  'AMBOS',
	'M'    =>  'MASCULINO',
	'F'    =>  'FEMININO'
);

$converteStatus = array(
	'A'    =>  'AGENDADO',
	'P'    =>  'PENDENTE'
);

$totalProcedimentos         = 0;

$relatorioOpcaoPeriodo      = $_SESSION['relatorioOpcaoPeriodo'];
$relatorioDataInicial       = $_SESSION['relatorioDataInicial'];
$relatorioDataFinal         = $_SESSION['relatorioDataFinal'];
$relatorioBairroPaciente    = $_SESSION['relatorioBairroPaciente'];
$relatorioSexoPaciente      = $_SESSION['relatorioSexoPaciente'];
$idProcedimento             = $_SESSION['idProcedimento'];
$relatorioStatusRegistro    = $_SESSION['relatorioStatusRegistro'];
$relatorioOpcaoFaixaEtaria  = $_SESSION['relatorioOpcaoFaixaEtaria'];
$relatorioIdadeInicial      = $_SESSION['relatorioIdadeInicial'];
$relatorioIdadeFinal        = $_SESSION['relatorioIdadeFinal'];
$explodeOdenarPor           = explode("#",$_SESSION['relatorioOrdenarPor']);

$relatorioOrdenarPor = " ORDER BY " . $explodeOdenarPor[0] . " " . $explodeOdenarPor[1];

//ORGANIZA EXIBIÇÃO DO FILTRO REALIZADO
if($relatorioOpcaoPeriodo=="periodo-completo"){
  $periodoAnalisado = "CADASTRO COMPLETO";
}else{
  $periodoAnalisado = "ENTRE $relatorioDataInicial E $relatorioDataFinal";
}
$bairroAnalisado        = $relatorioBairroPaciente;
$sexoAnalisado          = $converteSexoPaciente[$relatorioSexoPaciente];
$procedimentoAnalisado  = $_SESSION['procedimentoSelecionado'];
$statusAnalisado        = $converteStatus[$relatorioStatusRegistro];

if($relatorioOpcaoFaixaEtaria=="faixa-completa"){
  $faixaEtariaAnalisada = "TODAS AS IDADES";
}else{
  $faixaEtariaAnalisada = "ENTRE $relatorioIdadeInicial E $relatorioIdadeFinal ANOS";
}

ob_start();
echo "<table class='tabela-cabecalho-filtro'>
  <tr><td>PERÍODO ANALISADO</td><td width='2px' align='center'>:</td><td>$periodoAnalisado</td></tr>
  <tr><td>BAIRRO SELECIONADO</td><td width='2px' align='center'>:</td><td>$bairroAnalisado</td></tr>
  <tr><td>SEXO SELECIONADO</td><td width='2px' align='center'>:</td><td>$sexoAnalisado</td></tr>
  <tr><td>PROCEDIMENTO SELECIONADO</td><td width='2px' align='center'>:</td><td>$procedimentoAnalisado</td></tr>
  <tr><td>STATUS SELECIONADO</td><td width='2px' align='center'>:</td><td>$statusAnalisado</td></tr>
  <tr><td>FAIXA ETÁRIA ANALISADA</td><td width='2px' align='center'>:</td><td>$faixaEtariaAnalisada</td></tr>
</table><br>";

echo "<table class='tabela-dados-relatorio'>
<thead>
  <tr>
    <th scope='col' style='text-align: center' width='80px'>DT REGISTRO</th>
    <th scope='col' style='text-align: left'>NOME DO PACIENTE</th>
    <th scope='col' style='text-align: center' width='50px'>SEXO</th>
    <th scope='col' style='text-align: center' width='50px'>IDADE</th>
    <th scope='col' style='text-align: center' width='150px'>Nº CNS</th>
    <th scope='col' style='text-align: center' width='150'>TELEFONE</th>
    <th scope='col' style='text-align: left'>NOME DO PROCEDIMENTO</th>
    <th scope='col' style='text-align: left'>ATENDENTE</th>
  </tr>
</thead>
<tbody>";
$sqlRelatorio = "SELECT cdr_dados_relatorio.*, date_format(data_registro,'%d/%m/%Y') as dataRegistro, tb_usuario.nome_usuario FROM cdr_dados_relatorio INNER JOIN tb_usuario ON (cdr_dados_relatorio.id_atendente=tb_usuario.id_usuario) ";
$sqlRelatorio .= "WHERE cdr_dados_relatorio.id_usuario='$idUsuarioLogado' $relatorioOrdenarPor";
$stmRelatorio = $rsConexao->prepare($sqlRelatorio);
$stmRelatorio ->execute();  
$rsRelatorio  = $stmRelatorio->fetchAll(PDO::FETCH_ASSOC);
$totalRegistros = $stmRelatorio->rowCount();		
if($totalRegistros>0){
  $totalLinhasGeradas = 0;
  foreach($rsRelatorio as $fieldRelatorio){
    $totalLinhasGeradas = $totalLinhasGeradas+1;
    $dataRegistro     = $fieldRelatorio['dataRegistro'];
    $nomePaciente     = $fieldRelatorio['nome_paciente'];
    $sexoPaciente     = $fieldRelatorio['sexo_paciente'];
    $idadePaciente    = $fieldRelatorio['idade_selecionada'];
    $cnsPaciente      = $fieldRelatorio['cns_paciente'];
    $telefonePaciente = $fieldRelatorio['telefone_paciente'];
    $foneEWhatsapp    = $fieldRelatorio['celular_whatsapp']=="S" ? "(Wtzp)" : "";
    $nomeProcedimento = $fieldRelatorio['nome_procedimento'];
    $nomeUsuario      = $fieldRelatorio['nome_usuario'];
  
    echo "<tr>
      <td align='center'>$dataRegistro</td>
      <td>$nomePaciente</td>
      <td align='center'>$sexoPaciente</td>
      <td align='center'>$idadePaciente</td>
      <td align='center'>$cnsPaciente</td>
      <td align='center'>$telefonePaciente-$foneEWhatsapp</td>
      <td>$nomeProcedimento</td>
      <td style='font-size:6pt'>$nomeUsuario</td>
    </tr>";
  }
  echo "<tr><td colspan='8' class='total-registros-listados'>TOTAL DE REGISTROS LISTADOS: $totalLinhasGeradas</td></tr>";
}else{
  echo "<tr><td colspan='8' class='zero-registros-listados'>NENHUM REGISTRO ENCONTRAdO COM O CONJUNTO DE FILTROS SELECIONADOS</td></tr>";
}

echo "</tbody>
</table>";


require_once __DIR__ . '../../../mpdf/autoload.php';
$mpdf = new \Mpdf\Mpdf([
  'mode' => 'utf-8',
  'format' => 'A4',
  'orientation' => 'L',
  'margin_header' => 15,  
  'margin_top' => 35,
  'default_font' => 'tahoma'
]);

$html = ob_get_clean();
$mpdf->mirrorMargins = 1;
$stylesheet = file_get_contents('relatorio.css');
$mpdf->WriteHTML($stylesheet,1);

$header = "
  <table align='center' class='tb_header'>
    <tr>
      <td class='logo-rel'>
        <img src='../css/images/logo-dark.png' height='50px'>
      </td>
		  <td class='titulo_relatorio' align='center' style='font-size:10pt'>
        CONTROLE DE DEMANDA REPRIMIDA - ANALÍTICO<br>
        RELAÇÃO DE REGISTROS DE DEMANDA
      </td>
      <td class='info-emissao-relatorio'>
        EMISSÃO : $dataHoje<br>
        IMPRESSO POR : $nomeUsuarioLogado<br>
      </td>
    </tr>
    </table>
	  <br>
  <div class='sub_titulo_rel'></div><br>";

$headerE = $header;
$footer = "<div>Desenvolvido por: Expansão Tecnologia e Consultoria||Página : {PAGENO} de {nb}";
$footerE = $footer;

$mpdf->SetHTMLHeader($header);
$mpdf->SetHTMLHeader($headerE,'E');
$mpdf->SetFooter($footer);
$mpdf->SetFooter($footerE,'E');
$mpdf->SetTitle('Relatório de Demanda Reprimida - Analítico');
$mpdf->WriteHTML($html);
$mpdf->Output('RelatorioDemandaReprimidaConsolidado.pdf','I');
exit;

?>